Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
trouble installing the 2.6 kernel
Results 1 to 10 of 10

Thread: trouble installing the 2.6 kernel

  1. #1

    trouble installing the 2.6 kernel

    i posted this on the software part of this forum but for maximum exposure i'm posting this here:
    ok i printed out a guide to compile the new kernel
    however right away something goes wrong
    this is what i did before i had the problem:
    unpacked the kernel in the /usr/src/linux directory
    cd /usr/src/linux
    then this is where i have a problem ( yeah this early)
    make menuconfig or xconfig well both don't work
    this is the error it gives me
    make:*** No rule to make target `config' . stop
    Oh this might might help i'm running rh9.0

  2. #2

    Re:trouble installing the 2.6 kernel

    Did you try running "make mrproper" first? It's been a loooooong time since I recompiled a kernel, but I always used to do that first.

    Also please try to avoid double-posting in the future. People will see your posts regardless of where they are, and double-posting just floods the board.

  3. #3

    Re:trouble installing the 2.6 kernel

    I removed the other post.

  4. #4

    Re:trouble installing the 2.6 kernel

    hummm - it is working me.
    the directory it extracts to is:
    linux-2.6.0-test1

  5. #5
    Senior Member
    Join Date
    Sep 2002
    Posts
    421

    Re:trouble installing the 2.6 kernel

    You must be in the wrong directory or you deleted the Makefile.

  6. #6

    Re:trouble installing the 2.6 kernel

    sorry about the double post....
    it extracts but when i use make, it just doesn't work.... I checked rh9's braindead package manager and i've seen it's installed
    and i'm in the location that i put the kernel so i don't know what wrong

  7. #7
    Senior Member
    Join Date
    Sep 2002
    Posts
    421

    Re:trouble installing the 2.6 kernel

    You said you unpacked the kernel in /usr/src/linux. To me that means that the sources should now reside in /usr/src/linux/linux-2.6.0-test1/

    Also /usr/src/linux usually links to the directory containing the current kernel sources so if you in fact unpacked the tarball to /usr/src/linux you might have overwritten the sources of your current kernel and are left with a pretty messed up source tree.

    Do this:

    cd /usr/src
    tar zxfv /path/to/linux-2.6.0-test1.tar.gz

    or
    tar jxfv /path/to/linux-2.6.0-test1.tar.bz2

    cd linux-2.6.0-test1
    make menuconfig

  8. #8

    Re:trouble installing the 2.6 kernel

    hello,
    any chance there is a directory called linux-2.6.0-test1 in /usr/src/linux?

  9. #9

    Re:trouble installing the 2.6 kernel

    there is no directory beyond /linux directory....
    darn! i was hoping that it would be i stupid error....

  10. #10

    Re:trouble installing the 2.6 kernel

    hummss. - i would re-download - extract it to your ~/ directory and give it another shot.

Similar Threads

  1. having trouble installing OpenBSD
    By open_bsd in forum BSD
    Replies: 1
    Last Post: 09-18-2007, 11:36 AM
  2. Trouble installing Hostap Driver for 2.6.16-1.2129
    By titanas in forum Linux - Software, Applications & Programming
    Replies: 4
    Last Post: 06-07-2006, 11:44 AM
  3. Trouble installing rpm's
    By Gaiadin in forum Linux - General Topics
    Replies: 4
    Last Post: 03-02-2005, 04:40 PM
  4. trouble installing a package..........
    By boblucci in forum Linux - Software, Applications & Programming
    Replies: 3
    Last Post: 12-25-2004, 06:06 PM
  5. trouble installing on xp
    By rod in forum Linux - Software, Applications & Programming
    Replies: 6
    Last Post: 07-08-2002, 03:45 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •